import React from "react"
import { Provider } from 'react-redux'
import { RootStore, AppPersistor } from "./config";
import { PersistGate } from 'redux-persist/integration/react'
export * from './methods'

/** 
 * Application Root Provider
 * @example
 * // Render Root component
 * <RootProvider loading={<ActivityIndicator />}>
 *   <NavigationContainer />
 * </RootProvider>
*/
const RootProvider = ({ children, loading }) => (
    <Provider store={RootStore}>
        <PersistGate
            persistor={AppPersistor}
            loading={loading}
            children={children}
        />
    </Provider>
);
export default RootProvider